Skip site navigation (1) Skip section navigation (2)

Peripheral Links

Header And Logo

PostgreSQL
| The world's most advanced open source database.

Site Navigation

Search for
  Advanced Search

win32 build and test issues


  • From: Andrew Dunstan <andrew(at)dunslane(dot)net>
  • To: pgsql-hackers-win32 <pgsql-hackers-win32(at)postgresql(dot)org>
  • Subject: win32 build and test issues
  • Date: Thu, 29 Apr 2004 16:46:14 -0400
  • Message-id: <40916996(dot)90802(at)dunslane(dot)net>


Below are a couple of diffs.

The first is the fix I made in configure - on my W2K machine with the current MinGW/MSys I was getting the previously reported symlink problem every time. With the looping patch (yes I *know* it's ugly, and we have to get to the root of the problem, but I wanted to get past it for now) it never happened, and builds worked. In any case we should use something like the last couple of lines at least, to *show* something went wrong. As we have it now we say we are doing something and not testing for failure.

The second allows "make check" to proceed to almost the end - you still need to use the task manager to shut things down.

The regression tests themselves seem to fail for the most part in every configuration I have tried. The problem seems to be mostly buffering issues - error messages appear out of order from what is expected. I have not made sure what passes if we ignore that issue.

cheers

andrew



Index: configure
===================================================================
RCS file: /projects/cvsroot/pgsql-server/configure,v
retrieving revision 1.351
diff -c -w -r1.351 configure
*** configure   27 Apr 2004 20:09:27 -0000      1.351
--- configure   29 Apr 2004 20:17:06 -0000
***************
*** 19141,19151 ****
--- 19141,19160 ----
   esac

   # Make a symlink if possible; otherwise try a hard link.
+ for linktry in 1 2 3 4 5; do
   ln -s $ac_rel_source $ac_dest 2>/dev/null ||
     ln $srcdir/$ac_source $ac_dest ||
     { { echo "$as_me:$LINENO: error: cannot link $ac_dest to $srcdir/$ac_source" >&5
 echo "$as_me: error: cannot link $ac_dest to $srcdir/$ac_source" >&2;}
    { (exit 1); exit 1; }; }
+   test -e $ac_dest && break
+ done
+ test -e $ac_dest || + { { echo "$as_me:$LINENO: error: failed to link $ac_dest to $srcdir/$ac_source"
+  >&5
+ echo "$as_me: error: failed to link $ac_dest to $srcdir/$ac_source" >&2;}
+    { (exit 1); exit 1; }; }
+ done
 _ACEOF

Index: src/test/regress/pg_regress.sh
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/test/regress/pg_regress.sh,v
retrieving revision 1.38
diff -c -w -r1.38 pg_regress.sh
*** src/test/regress/pg_regress.sh      8 Jan 2004 20:04:41 -0000       1.38
--- src/test/regress/pg_regress.sh      29 Apr 2004 20:17:07 -0000
***************
*** 294,305 ****
 if [ x"$temp_install" != x"" ]
 then
     if echo x"$temp_install" | grep -v '^x/' >/dev/null 2>&1; then
         temp_install="`pwd`/$temp_install"
     fi

     bindir=$temp_install/install/$bindir
     libdir=$temp_install/install/$libdir
-     pkglibdir=$temp_install/install/$pkglibdir
     datadir=$temp_install/install/$datadir
     PGDATA=$temp_install/data

--- 294,313 ----
 if [ x"$temp_install" != x"" ]
 then
     if echo x"$temp_install" | grep -v '^x/' >/dev/null 2>&1; then
+         case $host_platform in
+           *-*-mingw32*)
+                 pkglibdir="`pwd -W`/$temp_install/install/$pkglibdir"
+                 temp_install="`pwd`/$temp_install"
+                 ;;
+           *)
                 temp_install="`pwd`/$temp_install"
+                 pkglibdir=$temp_install/install/$pkglibdir
+                 ;;
+         esac
     fi

     bindir=$temp_install/install/$bindir
     libdir=$temp_install/install/$libdir
     datadir=$temp_install/install/$datadir
     PGDATA=$temp_install/data

***************
*** 336,342 ****
     # executables, not dlopen'ed ones)
     # ----------
     case $host_platform in
!         *-*-cygwin*)
             PATH=$libdir:$PATH
             export PATH
             ;;
--- 344,350 ----
     # executables, not dlopen'ed ones)
     # ----------
     case $host_platform in
!         *-*-cygwin* | *-*-mingw32*)
             PATH=$libdir:$PATH
             export PATH
             ;;





Home | Main Index | Thread Index

Privacy Policy | PostgreSQL Archives hosted by Command Prompt, Inc. | Designed by tinysofa
Copyright © 1996 – 2008 PostgreSQL Global Development Group